%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 17 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 2
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 17 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Tue Dec  9 2014 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Rebuilt all kernel modules by specifying the correct KVER value.

* Mon Jun 2 2014 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Kernel modules are available for the following kernels:
		3.3.4-5    3.3.7-1    3.4.0-1    3.4.2-4    3.4.3-1    3.4.4-3
		3.4.4-5    3.4.5-2    3.4.6-2    3.5.0-2    3.5.1-1    3.5.2-1
		3.5.2-3    3.5.3-1    3.5.4-1    3.5.4-2    3.5.5-2    3.5.6-1
		3.6.1-1    3.6.2-4    3.6.3-1    3.6.5-1    3.6.6-1    3.6.7-4
		3.6.8-2    3.6.9-2    3.6.10-2   3.6.11-1   3.6.11-5   3.7.3-101
		3.7.6-102  3.7.9-101  3.7.9-104  3.8.3-103  3.8.4-102  3.8.8-100
		3.8.11-100 3.8.12-100 3.8.13-100 3.9.8-100  3.9.10-100
